<!--
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#  KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
-->
## Thanks for installing Cordova!

## Plugins

* Plugins **MUST** add their plugin mapping to their app's Cordova.plist Plugins key, if not they will not work (see your plugin's README)
* Plugins **MUST** add any external hosts they connect to to the white-list in Cordova.plist/ExternalHosts (add hostnames **only**, NO protocols nor paths) - see the [**Domain Whitelist Guide**](http://docs.cordova.io/en/edge/guide_whitelist_index.md.html#Domain%20Whitelist%20Guide)
* A plugin's Objective-C code **MUST** be added to the project properly in a "group" (**YELLOW** folder), if you incorrectly added it as a folder reference it would be a blue folder (just delete the reference, and re-add)
* A lot of plugins have changed their mapping names in **Cordova.plist**, you might have to copy and use the new **Cordova.plist** in your app.

<br />

## Plugin Upgrades
	
Please see the **Cordova Plugin Upgrade Guide.md** document included in the **guides** sub-folder in the source distribution

<br />

## Project Upgrades
	
1. Please see the [**Upgrading Cordova iOS**](http://docs.cordova.io/en/edge/guide_upgrading_index.md.html) document on [http://docs.cordova.io](http://docs.cordova.io)
2. See the FAQ in the README.md as well included in the source distribution

<br />

## Install CordovaLib

Please see the instructions in the **README.md** document included in the source distribution

## Creating a new Cordova-based project

Follow the instructions in the [**Command-Line Usage** section](http://docs.cordova.io/en/edge/guide_command-line_index.md.html#Command-Line%20Usage) of [http://docs.cordova.io](http://docs.cordova.io)

<br />

That's it! Modify the contents of the "www" directory to add your HTML, CSS and Javascript.
<br />

## Links

* [http://incubator.apache.org/cordova/](http://incubator.apache.org/cordova/)


<br />
